<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ include file="/sessionInfo.jsp"%>
<%

    //获取提交的参数
  	String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    int iKeyValue = SzConvert.toInt(request.getParameter("KEY"));
    int iFormID = SzConvert.toInt(request.getParameter("FormID"));
    String sContent = SzConvert.strWriteData(request.getParameter("YDFK"));
	
    boolean flag = false;
    String sUrl = "feedback.jsp";
    SzReadForm szReadForm = new SzReadForm(iFormID);

    szReadForm.read(iKeyValue, sBMMC_SESSION, iDLID_SESSION, sDLXM_SESSION, sContent);
    flag = true;
    String sMessage = SzOut.getMessage();    
%>
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="type" value="<%=sType%>">
  <input type="hidden" name="FormID" value="<%=iFormID%>">   
  <input type="hidden" name="KEY" value="<%=iKeyValue%>">  
</form>
<%    
    if (flag) {
    	out.println(SzPageHelp.jsAlert("操作成功"));
      out.println(SzPageHelp.jsFormSubmit("formHidden",sUrl));
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }
%>
